<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_bid_detail_top_bg"
        app:layout_constraintDimensionRatio="h,1125:984" />

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" ">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_share"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="@dimen/dp_16"
            android:src="@mipmap/ic_bid_share" />
    </com.example.base.widget.TitleBar>

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginEnd="@dimen/dp_16"
        android:fontFamily="sans-serif-medium"
        android:text="酒钢集团榆中长虹公司2025年焊丝生产用涂层模模具业务外包"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_18"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar" />

    <LinearLayout
        android:id="@+id/layout_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_4"
        android:layout_marginEnd="@dimen/dp_16"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <com.cheng.blzb.widget.CommonShapeView
            android:id="@+id/tv_tag"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_18"
            android:layout_marginEnd="@dimen/dp_8"
            android:paddingStart="@dimen/dp_4"
            android:paddingEnd="@dimen/dp_4"
            android:text="招标"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_11"
            app:csb_cornerRadius="@dimen/dp_3"
            app:csb_fillColor="#2B88F9"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_title" />

        <com.cheng.blzb.widget.CommonShapeView
            android:id="@+id/tv_location"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_18"
            android:layout_marginEnd="@dimen/dp_8"
            android:paddingStart="@dimen/dp_4"
            android:paddingEnd="@dimen/dp_4"
            android:text="全国"
            android:textColor="@color/color_585d6c"
            android:textSize="@dimen/sp_11"
            app:csb_cornerRadius="@dimen/dp_3"
            app:csb_fillColor="@color/color_f4f6fa"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_content" />

        <com.cheng.blzb.widget.CommonShapeView
            android:id="@+id/tv_amount"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_18"
            android:layout_marginEnd="@dimen/dp_8"
            android:paddingStart="@dimen/dp_4"
            android:paddingEnd="@dimen/dp_4"
            android:text="2.71万元"
            android:textColor="@color/color_ff493c"
            android:textSize="@dimen/sp_11"
            app:csb_cornerRadius="@dimen/dp_3"
            app:csb_fillColor="#1aff493c"
            app:layout_constraintStart_toEndOf="@id/tv_location"
            app:layout_constraintTop_toTopOf="@id/tv_location" />

        <com.cheng.blzb.widget.CommonShapeView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_18"
            android:paddingStart="@dimen/dp_4"
            android:paddingEnd="@dimen/dp_4"
            android:text="20分钟前"
            android:textColor="#22C29C"
            android:textSize="@dimen/sp_11"
            app:csb_cornerRadius="@dimen/dp_3"
            app:csb_fillColor="#E8F8F5"
            app:layout_constraintStart_toEndOf="@id/tv_amount"
            app:layout_constraintTop_toTopOf="@id/tv_amount" />
    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_40"
        android:background="@drawable/shape_bid_detail_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_info">

        <LinearLayout
            android:id="@+id/layout_contacts"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_37"
            android:layout_marginEnd="@dimen/dp_16"
            android:background="@drawable/shape_f4f8ff_cor6"
            android:orientation="vertical"
            android:paddingStart="@dimen/dp_16"
            android:paddingTop="@dimen/dp_12"
            android:paddingEnd="@dimen/dp_16"
            android:paddingBottom="@dimen/dp_12"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-medium"
                android:text="联系人"
                android:textColor="@color/color_125ffe"
                android:textSize="@dimen/sp_14" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_contacts"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:overScrollMode="never"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:itemCount="2"
                tools:listitem="@layout/listitem_bid_detail_contact" />
        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_16"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_contacts">

            <TextView
                android:id="@+id/tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_13" />
        </androidx.core.widget.NestedScrollView>

        <WebView
            android:id="@+id/webView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_16"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_contacts" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_image"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_16"
            android:visibility="gone"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_contacts"
            tools:listitem="@layout/listitem_bid_detail_image" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_download"
        android:layout_width="@dimen/dp_60"
        android:layout_height="@dimen/dp_60"
        android:layout_marginBottom="-30dp"
        android:src="@mipmap/ic_bid_download"
        app:layout_constraintBottom_toTopOf="@id/layout_content"
        app:layout_constraintEnd_toStartOf="@id/iv_favorite" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_favorite"
        android:layout_width="@dimen/dp_60"
        android:layout_height="@dimen/dp_60"
        android:layout_marginBottom="-30dp"
        android:src="@mipmap/ic_bid_favorite"
        app:layout_constraintBottom_toTopOf="@id/layout_content"
        app:layout_constraintEnd_toStartOf="@id/iv_view" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_view"
        android:layout_width="@dimen/dp_60"
        android:layout_height="@dimen/dp_60"
        android:layout_marginBottom="-30dp"
        android:src="@mipmap/ic_bid_view"
        app:layout_constraintBottom_toTopOf="@id/layout_content"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>